<?php
include "../conexion.php";
$vena_id=$_GET['id'];  
$can=mysqli_query($con,"SELECT * from venta_apartadas_detalle where venad_id='$vena_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$venad_id=$dato['venad_id'];
$venad_referencia=$dato['venad_referencia'];
$venad_nombre=$dato['venad_nombre'];
$venad_cantidad=$dato['venad_cantidad'];
$venad_precio=$dato['venad_precio'];
$venad_desc=$dato['venad_desc'];
$venad_nombre=$dato['venad_nombre'];
?>
<form role="form" id="actualizar" >      
    <div id="resultado_mod"></div>
    <div class="row">
        <div class="col-md-8">
            <label>Código</label>
            <input type="text" class="form-control" id="venad_referencia" name="venad_referencia" value="<?php echo $venad_referencia; ?>" disabled >
            <input type="hidden" name="venad_id" id="venad_id" value="<?php echo $venad_id; ?>">
        </div>
        <div class="col-md-4">
            <label>Cantidad</label>
            <input type="number" class="form-control" value="<?php echo $venad_cantidad; ?>" name="cantidad" required>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <label>Descripción</label>
            <textarea class="form-control" name="venad_nombre" id="venad_nombre" disabled> <?php echo $venad_nombre; ?></textarea>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <label>Precio</label>
            <input type="text" class="form-control" value="<?php echo $venad_precio; ?>" name="venad_precio" required>
        </div>
   
        <div class="col-md-6">
            <label>Descuento</label>
            <input type="text" class="form-control" value="<?php echo $venad_desc; ?>" name="venad_desc" required>
        </div>
    </div>      
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"><i class=" icon-remove"></i> Cerrar</button>
        <button type="submit" class="btn btn-success" id="btn_actualizar"><i class=" icon-ok"></i> Actualizar datos</button>
    </div>
</form>

<script language="javascript">
$( "#actualizar" ).submit(function( event ) {
$('#btn_actualizar').attr("disabled", true);

var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_apartados/editar_articulo.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultado_mod').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resultado_mod").html(datos);
    $('#btn_actualizar').attr("disabled", false);
    $('#editModal').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    loadtabla();
    load(1);
    }
});
event.preventDefault();
})
</script>